Audit (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.server.session.Audit class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common.server.session
Class Audit

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.common.server.session.Audit

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AIAudit, AlertAudit, PluginAudit, ResourceAudit, ServerConfigAudit, SystemAudit, UserAudit

    public abstract class Audit

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `Audit()`
`protected` | `Audit(AuthzSubject subject, Resource r, AuditPurpose purpose, AuditNature nature, AuditImportance importance, java.lang.String message)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`protected java.lang.String` | `formatHtmlMessage()`
`java.util.Collection` | `getChildren()`
`protected java.util.Collection` | `getChildrenBag()`
`long` | `getEndTime()`
`java.lang.String` | `getFieldName()`
`java.lang.String` | `getHtmlMessage()`
`AuditImportance` | `getImportance()`
`protected int` | `getImportanceEnum()`
`protected java.lang.String` | `getKlazz()`
`java.lang.String` | `getMessage()`
`AuditNature` | `getNature()`
`protected int` | `getNatureEnum()`
`java.lang.String` | `getNewFieldValue()`
`java.lang.String` | `getOldFieldValue()`
`Audit` | `getParent()`
`AuditPurpose` | `getPurpose()`
`protected int` | `getPurposeEnum()`
`Resource` | `getResource()`
`long` | `getStartTime()`
`AuthzSubject` | `getSubject()`
`int` | `hashCode()`
`boolean` | `isOriginal()`
`protected void` | `setChildrenBag(java.util.Collection c)`
`protected void` | `setEndTime(long t)`
`protected void` | `setFieldName(java.lang.String f)`
`protected void` | `setImportanceEnum(int p)`
`protected void` | `setKlazz(java.lang.String k)`
`protected void` | `setMessage(java.lang.String m)`
`protected void` | `setNatureEnum(int e)`
`protected void` | `setNewFieldValue(java.lang.String v)`
`protected void` | `setOldFieldValue(java.lang.String f)`
`protected void` | `setOriginal(boolean o)`
`protected void` | `setParent(Audit p)`
`protected void` | `setPurposeEnum(int p)`
`protected void` | `setResource(Resource r)`
`protected void` | `setStartTime(long t)`
`protected void` | `setSubject(AuthzSubject s)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Audit

    protected Audit()

### Audit

    protected Audit(AuthzSubject subject,
                    Resource r,
                    AuditPurpose purpose,
                    AuditNature nature,
                    AuditImportance importance,
                    java.lang.String message)

Method Detail

### getKlazz

    protected java.lang.String getKlazz()

### setKlazz

    protected void setKlazz(java.lang.String k)

### getStartTime

    public long getStartTime()

### setStartTime

    protected void setStartTime(long t)

### getEndTime

    public long getEndTime()

### setEndTime

    protected void setEndTime(long t)

### getPurpose

    public AuditPurpose getPurpose()

### getPurposeEnum

    protected int getPurposeEnum()

### setPurposeEnum

    protected void setPurposeEnum(int p)

### getImportance

    public AuditImportance getImportance()

### getNatureEnum

    protected int getNatureEnum()

### setNatureEnum

    protected void setNatureEnum(int e)

### getNature

    public AuditNature getNature()

### setImportanceEnum

    protected void setImportanceEnum(int p)

### getImportanceEnum

    protected int getImportanceEnum()

### isOriginal

    public boolean isOriginal()

### setOriginal

    protected void setOriginal(boolean o)

### getResource

    public Resource getResource()

### setResource

    protected void setResource(Resource r)

### getFieldName

    public java.lang.String getFieldName()

### setFieldName

    protected void setFieldName(java.lang.String f)

### getOldFieldValue

    public java.lang.String getOldFieldValue()

### setOldFieldValue

    protected void setOldFieldValue(java.lang.String f)

### getNewFieldValue

    public java.lang.String getNewFieldValue()

### setNewFieldValue

    protected void setNewFieldValue(java.lang.String v)

### getSubject

    public AuthzSubject getSubject()

### setSubject

    protected void setSubject(AuthzSubject s)

### getMessage

    public java.lang.String getMessage()

### setMessage

    protected void setMessage(java.lang.String m)

### getParent

    public Audit getParent()

### setParent

    protected void setParent(Audit p)

### getChildrenBag

    protected java.util.Collection getChildrenBag()

### setChildrenBag

    protected void setChildrenBag(java.util.Collection c)

### getChildren

    public java.util.Collection getChildren()

### getHtmlMessage

    public java.lang.String getHtmlMessage()

### formatHtmlMessage

    protected java.lang.String formatHtmlMessage()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `PersistedObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.